#include "settingsdialog.h"
#include "ui_settingsdialog.h"
#include "QSettings"

SettingsDialog::SettingsDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::SettingsDialog)
{
    ui->setupUi(this);
    QObject::connect(ui->spinBox,SIGNAL(valueChanged(int)),this,SLOT(setLines(int)));
    QCoreApplication::setOrganizationName("Sebastian Bota");
    QCoreApplication::setOrganizationDomain("");
    QCoreApplication::setApplicationName("QTail");


    QSettings settings;
    ui->spinBox->setValue(settings.value("lines",10).toInt());
}

SettingsDialog::~SettingsDialog()
{
    delete ui;
}

int SettingsDialog::getLines()
{
    return this->lines;
}

void SettingsDialog::setLines(int value)
{
    this->lines = value;
}
